LookupDispatchExampleAction (Struts Apps - Examples 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.dispatch
Class LookupDispatchExampleAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.apache.struts.actions.LookupDispatchAction
                      org.apache.struts.webapp.dispatch.LookupDispatchExampleAction

    public class LookupDispatchExampleAction

extends LookupDispatchAction

Example LookupDispatchAction.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Field Summary

Fields inherited from class org.apache.struts.actions.LookupDispatchAction
`localeMap`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, log, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`LookupDispatchExampleAction()` Constructor - populate the key method map.

Method Summary
`ActionForward` | `doBar(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)` Example "bar" method.
`ActionForward` | `doFoo(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)` Example "foo" method.
`protected Map` | `getKeyMethodMap()` Provides the mapping from resource key to method name.

Methods inherited from class org.apache.struts.actions.LookupDispatchAction
`execute, getLookupMapName, getMethodName`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupDispatchExampleAction

    public LookupDispatchExampleAction()

  Constructor - populate the key method map.

Method Detail

### doFoo

    public ActionForward doFoo(ActionMapping mapping,
                               ActionForm form,
                               HttpServletRequest request,
                               HttpServletResponse response)
                        throws Exception

  Example "foo" method.

  Parameters:
    `mapping` - The ActionMapping used to select this instance
    `form` - The optional ActionForm bean for this request
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `Exception` - if business logic throws an exception

### doBar

    public ActionForward doBar(ActionMapping mapping,
                               ActionForm form,
                               HttpServletRequest request,
                               HttpServletResponse response)
                        throws Exception

  Example "bar" method.

  Parameters:
    `mapping` - The ActionMapping used to select this instance
    `form` - The optional ActionForm bean for this request
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `Exception` - if business logic throws an exception

### getKeyMethodMap

    protected Map getKeyMethodMap()

  Provides the mapping from resource key to method name.

  Specified by:
    `getKeyMethodMap` in class `LookupDispatchAction`
  Returns:
    Resource key / method name map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.